=== debian/changelog ===
ros-galactic-rclcpp-action (9.2.2-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Dec 2022 08:00:00 -0000

ros-galactic-rclcpp-action (9.2.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-rclcpp-action (9.2.0-1focal) focal; urgency=high

  * Fixed a bug where it would occasionally miss a goal result, which was caused by race condition (#1677 <https://github.com/ros2/rclcpp/issues/1677>) (#1683 <https://github.com/ros2/rclcpp/issues/1683>)
    * Co-authored-by: Kaven Yau <mailto:kavenyau@foxmail.com>
  * Contributors: Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 17 Sep 2021 07:00:00 -0000

ros-galactic-rclcpp-action (9.1.0-1focal) focal; urgency=high

  * Bump the benchmark timeout for benchmark_action_client (#1672 <https://github.com/ros2/rclcpp/issues/1672>)
  * Contributors: Scott K Logan

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 20 May 2021 07:00:00 -0000

ros-galactic-rclcpp-action (9.0.3-1focal) focal; urgency=high

  * Returns CancelResponse::REJECT while goal handle failed to transit to CANCELING state (#1641 <https://github.com/ros2/rclcpp/issues/1641>) (#1653 <https://github.com/ros2/rclcpp/issues/1653>)
  * Fix action server deadlock issue that caused by other mutexes locked in CancelCallback (#1635 <https://github.com/ros2/rclcpp/issues/1635>) (#1646 <https://github.com/ros2/rclcpp/issues/1646>)
  * Contributors: Jacob Perron, Kaven Yau, William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 10 May 2021 07:00:00 -0000

ros-galactic-rclcpp-action (9.0.2-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 14 Apr 2021 07:00:00 -0000

ros-galactic-rclcpp-action (9.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-galactic-rclcpp-action (9.0.0-1focal) focal; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#1615 <https://github.com/ros2/rclcpp/issues/1615>)
  * Contributors: shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-rclcpp-action (8.2.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 31 Mar 2021 07:00:00 -0000

ros-galactic-rclcpp-action (8.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Mar 2021 07:00:00 -0000

ros-galactic-rclcpp-action (8.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Mar 2021 07:00:00 -0000

ros-galactic-rclcpp-action (7.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 22 Mar 2021 07:00:00 -0000

ros-galactic-rclcpp-action (7.0.0-1focal) focal; urgency=high

  * Add support for rmw_connextdds (#1574 <https://github.com/ros2/rclcpp/issues/1574>)
  * node_handle must be destroyed after client_handle to prevent memory leak (#1562 <https://github.com/ros2/rclcpp/issues/1562>)
  * Contributors: Andrea Sorbini, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rclcpp-action (6.3.1-1focal) focal; urgency=high

  * Finalize rcl_handle to prevent leak (#1528 <https://github.com/ros2/rclcpp/issues/1528>) (#1529 <https://github.com/ros2/rclcpp/issues/1529>)
  * Fix #1526 <https://github.com/ros2/rclcpp/issues/1526>. (#1527 <https://github.com/ros2/rclcpp/issues/1527>)
  * Contributors: y-okumura-isp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 08 Feb 2021 08:00:00 -0000

ros-galactic-rclcpp-action (6.3.0-1focal) focal; urgency=high

  * Fix action server deadlock (#1285 <https://github.com/ros2/rclcpp/issues/1285>) (#1313 <https://github.com/ros2/rclcpp/issues/1313>)
  * Contributors: Daisuke Sato

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-rclcpp-action (6.2.0-1focal) focal; urgency=high

  * Goal response callback compatibility shim with deprecation of old signature (#1495 <https://github.com/ros2/rclcpp/issues/1495>)
  * [rclcpp_action] Add warnings (#1405 <https://github.com/ros2/rclcpp/issues/1405>)
  * Contributors: Audrow Nash, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Jan 2021 08:00:00 -0000

ros-galactic-rclcpp-action (6.1.0-1focal) focal; urgency=high

  * Update QDs to QL 1 (#1477 <https://github.com/ros2/rclcpp/issues/1477>)
  * Contributors: Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Dec 2020 08:00:00 -0000

ros-galactic-rclcpp-action (6.0.0-1focal) focal; urgency=high

  * Add take_data to Waitable and data to AnyExecutable (#1241 <https://github.com/ros2/rclcpp/issues/1241>)
  * Fix test crashes on CentOS 7 (#1449 <https://github.com/ros2/rclcpp/issues/1449>)
  * Bump rclcpp packages to Quality Level 2 (#1445 <https://github.com/ros2/rclcpp/issues/1445>)
  * Add rclcpp_action action_server benchmarks (#1433 <https://github.com/ros2/rclcpp/issues/1433>)
  * Contributors: Audrow Nash, Chris Lalancette, Louise Poubel, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 18 Nov 2020 08:00:00 -0000

ros-galactic-rclcpp-action (5.1.0-1focal) focal; urgency=high

  * Benchmark rclcpp_action action_client (#1429 <https://github.com/ros2/rclcpp/issues/1429>)
  * Add missing locking to the rclcpp_action::ServerBase. (#1421 <https://github.com/ros2/rclcpp/issues/1421>)
  * Increase test timeouts of slow running tests with rmw_connext_cpp (#1400 <https://github.com/ros2/rclcpp/issues/1400>)
  * Update maintainers (#1384 <https://github.com/ros2/rclcpp/issues/1384>)
  * Increase coverage rclcpp_action to 95% (#1290 <https://github.com/ros2/rclcpp/issues/1290>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic, brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 02 Nov 2020 08:00:00 -0000


